Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: CaseineVPL
Bundle-SymbolicName: CaseineVPL;singleton:=true
Bundle-Version: 3.1.0
Bundle-Activator: caseine.vpl.Activator
Require-Bundle: org.eclipse.ui,
 org.eclipse.core.runtime,
 org.eclipse.core.resources,
 org.eclipse.jdt.ui,
 org.eclipse.ui.ide
Bundle-RequiredExecutionEnvironment: JavaSE-11
Bundle-ActivationPolicy: lazy
Bundle-ClassPath: .,
 lib/moodlewsclient.jar,
 lib/javax.json-1.0.4.jar,
 lib/Java-WebSocket-1.5.3.jar,
 lib/slf4j-simple-2.0.6.jar,
 lib/slf4j-api-2.0.6.jar
Import-Package: org.eclipse.jdt.core,
 org.eclipse.jdt.junit,
 org.eclipse.jdt.launching,
 org.eclipse.jface.text,
 org.eclipse.jface.text.source,
 org.eclipse.ui.dialogs,
 org.eclipse.ui.texteditor,
 org.eclipse.ui.views.markers,
 org.eclipse.ui.wizards.newresource,
 org.python.pydev.core;resolution:=optional,
 org.python.pydev.plugin.nature;resolution:=optional,
 org.python.pydev.ui.perspective;resolution:=optional
Automatic-Module-Name: CaseineVPL
Export-Package: caseine.vpl;
  uses:="org.osgi.framework,
   org.eclipse.core.runtime,
   org.eclipse.jface.resource,
   org.eclipse.swt.widgets,
   org.eclipse.core.resources,
   org.eclipse.jface.viewers,
   org.eclipse.ui.plugin,
   vplwsclient",
 caseine.vpl.decorators;uses:="org.eclipse.swt.graphics,org.eclipse.jface.viewers",
 caseine.vpl.handlers;
  uses:="org.eclipse.core.runtime.jobs,
   org.eclipse.jdt.core,
   org.eclipse.swt.widgets,
   org.eclipse.core.resources,
   org.eclipse.core.commands,
   vplwsclient",
 caseine.vpl.marker;
  uses:="org.eclipse.ui,
   org.eclipse.ui.texteditor,
   org.eclipse.jface.text.source,
   org.eclipse.jface.text,
   org.eclipse.core.resources",
 caseine.vpl.nature;uses:="org.eclipse.core.resources,org.eclipse.core.commands",
 caseine.vpl.perspectives;uses:="org.eclipse.ui",
 caseine.vpl.preferences;uses:="org.eclipse.ui,org.eclipse.jface.preference,org.eclipse.core.runtime.preferences",
 caseine.vpl.properties;
  uses:="org.eclipse.core.runtime,
   org.eclipse.swt.widgets,
   org.eclipse.ui.dialogs,
   org.eclipse.core.resources",
 caseine.vpl.swt;
  uses:="org.eclipse.swt.events,
   org.eclipse.swt.graphics,
   org.eclipse.swt.widgets,
   org.eclipse.jface.dialogs",
 caseine.vpl.views.commentsview;uses:="org.eclipse.ui.views.markers,org.eclipse.swt.widgets",
 caseine.vpl.views.vplview;
  uses:="org.eclipse.swt.widgets,
   org.eclipse.core.resources,
   org.eclipse.jface.viewers,
   vplwsclient,
   org.eclipse.ui.part",
 caseine.vpl.wizard;
  uses:="org.eclipse.swt.widgets,
   org.eclipse.jface.wizard,
   org.eclipse.ui.wizards.newresource,
   vplwsclient",
 javax.json;uses:="javax.json.stream",
 javax.json.spi;uses:="javax.json.stream,javax.json",
 javax.json.stream;uses:="javax.json",
 lib,
 org.glassfish.json;
  uses:="javax.json.stream,
   org.glassfish.json.api,
   javax.json.spi,
   javax.json",
 org.glassfish.json.api,
 org.java_websocket;
  uses:="org.java_websocket.drafts,
   org.java_websocket.server,
   org.java_websocket.handshake,
   org.java_websocket.framing,
   org.java_websocket.interfaces,
   javax.net.ssl,
   org.java_websocket.protocols,
   org.java_websocket.exceptions,
   org.java_websocket.enums",
 org.java_websocket.client;
  uses:="org.java_websocket.drafts,
   org.java_websocket,
   org.java_websocket.handshake,
   org.java_websocket.framing,
   javax.net.ssl,
   javax.net,
   org.java_websocket.protocols,
   org.java_websocket.enums",
 org.java_websocket.drafts;
  uses:="org.java_websocket.handshake,
   org.java_websocket.framing,
   org.java_websocket.extensions,
   org.java_websocket.protocols,
   org.java_websocket.enums,
   org.java_websocket",
 org.java_websocket.enums,
 org.java_websocket.exceptions;uses:="org.java_websocket",
 org.java_websocket.extensions;uses:="org.java_websocket.framing",
 org.java_websocket.extensions.permessage_deflate;uses:="org.java_websocket.framing,org.java_websocket.extensions",
 org.java_websocket.framing;uses:="org.java_websocket.enums",
 org.java_websocket.handshake,
 org.java_websocket.interfaces;uses:="javax.net.ssl",
 org.java_websocket.protocols,
 org.java_websocket.server;
  uses:="org.java_websocket.handshake,
   org.slf4j,
   org.java_websocket.drafts,
   javax.net.ssl,
   org.java_websocket",
 org.java_websocket.util,
 vplwsclient;uses:="javax.json",
 vplwsclient.exception;uses:="javax.json"
